Package com.stardog.stark.query

# Class Datasets.DatasetImpl

java.lang.Object
com.stardog.stark.query.Datasets.DatasetImpl

All Implemented Interfaces:
  `Dataset`

Enclosing class:
  `Datasets`

public static final class Datasets.DatasetImpl extends Object implements Dataset

Default implementation of a `Dataset`.

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Datasets.DatasetImpl.Builder`
  A builder for a `Dataset`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Datasets.DatasetImpl.Builder`
  `builder()`
  Create a `Datasets.DatasetImpl.Builder` for a `Dataset`
  `com.google.common.collect.ImmutableSet<Resource>`
  `defaultGraphs()`
  The set of graphs, the union of which, makes up the default component of the active graph
  `Optional<Resource>`
  `defaultInsertGraph()`
  Optionally, the graph where write queries should insert data.
  `com.google.common.collect.ImmutableSet<Resource>`
  `defaultRemoveGraphs()`
  The set of graphs write queries can remove data from.
  `com.google.common.collect.ImmutableSet<Resource>`
  `excludedGraphs()`
  The set of graphs to be excluded from the query dataset.
  `com.google.common.collect.ImmutableSet<Resource>`
  `namedGraphs()`
  The set of named graphs that are a part of the active graph of the dataset.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.query.Dataset

  `isEmpty`

- ## Method Details

  - ### defaultRemoveGraphs

    @Nonnull public com.google.common.collect.ImmutableSet<Resource> defaultRemoveGraphs()
    The set of graphs write queries can remove data from.
    Specified by:
      `defaultRemoveGraphs` in interface `Dataset`
    Returns:
      the graphs

  - ### defaultInsertGraph

    @Nonnull public Optional<Resource> defaultInsertGraph()
    Optionally, the graph where write queries should insert data.
    Specified by:
      `defaultInsertGraph` in interface `Dataset`
    Returns:
      the graph to insert into

  - ### defaultGraphs

    @Nonnull public com.google.common.collect.ImmutableSet<Resource> defaultGraphs()
    The set of graphs, the union of which, makes up the default component of the active graph
    Specified by:
      `defaultGraphs` in interface `Dataset`
    Returns:
      the default graphs; when empty, the default graph of the database is used

  - ### namedGraphs

    @Nonnull public com.google.common.collect.ImmutableSet<Resource> namedGraphs()
    The set of named graphs that are a part of the active graph of the dataset.
    Specified by:
      `namedGraphs` in interface `Dataset`
    Returns:
      the named graphs

  - ### excludedGraphs

    @Nonnull public com.google.common.collect.ImmutableSet<Resource> excludedGraphs()
    Description copied from interface: `Dataset`
    The set of graphs to be excluded from the query dataset. Returns the set of graphs, possibly including wildcards, excluded from both the default and named scope of the dataset.
    Specified by:
      `excludedGraphs` in interface `Dataset`

  - ### builder

    public static Datasets.DatasetImpl.Builder builder()
    Create a `Datasets.DatasetImpl.Builder` for a `Dataset`
    Returns:
      a new `Builder`